Bug 1902595 - Project workloads list view doesn't show alert icon and hover message
Summary: Project workloads list view doesn't show alert icon and hover message
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.7
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.7.0
Assignee: Jeff Phillips
QA Contact: Gajanan More
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-11-30 06:47 UTC by Yadan Pei
Modified: 2021-02-24 15:36 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:36:33 UTC
Target Upstream Version:


Attachments (Terms of Use)
Workloads List View Alert icon and Hover message 4.6 (307.29 KB, image/png)
2020-11-30 06:47 UTC, Yadan Pei
no flags Details
4.7 Project Workloads list view no alert icon (293.68 KB, image/png)
2020-11-30 06:48 UTC, Yadan Pei
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 7392 0 None closed Bug 1902595: Fix to show alerts in topology list view 2021-01-17 19:50:19 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:36:56 UTC

Description Yadan Pei 2020-11-30 06:47:15 UTC
Created attachment 1734734 [details]
Workloads List View Alert icon and Hover message 4.6

Description of problem:
When there is deployment or build error, project Workloads list view doesn't show error icon

Version-Release number of selected component (if applicable):
4.7.0-0.nightly-2020-11-29-133728

How reproducible:
Always

Steps to Reproduce:
1. create a project and application
$ oc new-app centos/ruby-25-centos7~https://github.com/sclorg/ruby-ex.git
$ oc patch buildconfig ruby-ex -p \{\"spec\":\{\"source\":\{\"git\":\{\"uri\":\"https://github.com/sclorg/ruby-extest.git\"\}\}\}\}
buildconfig.build.openshift.io/ruby-ex patched
$ oc start-build ruby-ex
build.build.openshift.io/ruby-ex-2 started
$ oc get builds
NAME        TYPE     FROM          STATUS                       STARTED         DURATION
ruby-ex-1   Source   Git@01effef   Complete                     9 minutes ago   47s
ruby-ex-2   Source   Git           Failed (FetchSourceFailed)   7 minutes ago   8s
2. when build failed, check project Workloads page /k8s/cluster/projects/yapei472/workloads?view=list
3.

Actual results:
2. the list view doesn't show alert icon

Expected results:
2. in previous release of OCP, we show error/alert icon when there is error in deployment or build 

Additional info:

Comment 1 Yadan Pei 2020-11-30 06:48:22 UTC
Created attachment 1734735 [details]
4.7 Project Workloads list view no alert icon

Comment 2 ralpert 2020-12-01 18:45:03 UTC
I'm reassigning this to Dev Console because it looks like we're using topology components here.

Comment 5 Gajanan More 2021-01-12 08:48:38 UTC
I have verified the bugzilla:
Build:4.7.0-0.nightly-2021-01-10-070949
Browser: Firefox 80
Marking this as verified

Comment 7 errata-xmlrpc 2021-02-24 15:36:33 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.